### Enumeration

# Goa Error

#### Declaration

    error-domain Goa.Error

#### Description [src]

Error codes for the `GoaError` error domain and the corresponding D-Bus error names.

#### Members

`GOA_ERROR_FAILED`

  The operation failed.

  - Value: `0`
  - Available since: 1.0
`GOA_ERROR_NOT_SUPPORTED`

  The operation is not supported.

  - Value: `1`
  - Available since: 1.0
`GOA_ERROR_DIALOG_DISMISSED`

  The dialog was dismissed.

  - Value: `2`
  - Available since: 1.0
`GOA_ERROR_ACCOUNT_EXISTS`

  Account already exists.

  - Value: `3`
  - Available since: 1.0
`GOA_ERROR_NOT_AUTHORIZED`

  Not authorized to perform operation.

  - Value: `4`
  - Available since: 1.0
`GOA_ERROR_SSL`

  Invalid SSL certificate.

  - Value: `5`
  - Available since: 1.0

#### Type functions

###### goa_error_quark

Registers an error quark for `Goa` errors and a domain for D-Bus errors.